Loading...
Searching...
No Matches
port_io.h File Reference

x86 port I/O More...

`#include <l4/sys/l4int.h>`
`#include <l4/sys/compiler.h>`
Include dependency graph for port_io.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

l4_uint8_t | l4util_in8 (l4_uint16_t port)
| Read byte from I/O port.
l4_uint16_t | l4util_in16 (l4_uint16_t port)
| Read 16-bit-value from I/O port.
l4_uint32_t | l4util_in32 (l4_uint16_t port)
| Read 32-bit-value from I/O port.
void | l4util_ins8 (l4_uint16_t port, l4_umword_t addr, l4_umword_t count)
| Read a block of 8-bit-values from I/O ports.
void | l4util_ins16 (l4_uint16_t port, l4_umword_t addr, l4_umword_t count)
| Read a block of 16-bit-values from I/O ports.
void | l4util_ins32 (l4_uint16_t port, l4_umword_t addr, l4_umword_t count)
| Read a block of 32-bit-values from I/O ports.
void | l4util_out8 (l4_uint8_t value, l4_uint16_t port)
| Write byte to I/O port.
void | l4util_out16 (l4_uint16_t value, l4_uint16_t port)
| Write 16-bit-value to I/O port.
void | l4util_out32 (l4_uint32_t value, l4_uint16_t port)
| Write 32-bit-value to I/O port.
void | l4util_outs8 (l4_uint16_t port, l4_umword_t addr, l4_umword_t count)
| Write a block of bytes to I/O port.
void | l4util_outs16 (l4_uint16_t port, l4_umword_t addr, l4_umword_t count)
| Write a block of 16-bit-values to I/O port.
void | l4util_outs32 (l4_uint16_t port, l4_umword_t addr, l4_umword_t count)
| Write block of 32-bit-values to I/O port.
void | l4util_iodelay (void)
| delay I/O port access by writing to port 0x80

## Detailed Description

x86 port I/O

Date
  06/2003

Author
  Frank Mehnert fm3@o.nosp@m.s.in.nosp@m.f.tu-.nosp@m.dres.nosp@m.den.d.nosp@m.e

Definition in file port_io.h.